Android Firebase: не найден соответствующий клиент для пакета

Rex Overflow спросил: 14 ноября 2017 в 07:17 в: android

Я позаимствовал проект Android у одного из моих друзей, и после импорта я получил сообщение об ошибке The application was configured for some other audience - appId doesn't match the one in google-services.json. После этого я понял, что мне нужно изменить имя пакета java-файлов и заново подключить firebase, что я и сделал. Я получаю сообщение об ошибке:

Error:Execution failed for task ':app:processDebugGoogleServices'.
> No matching client found for package name 'com.***.***.chitchat'

У меня одно и то же имя пакета в AndroidManifest.xml, build.gradle и google-services.json. Странно, что каждый получил свою проблему после внесения необходимых изменений. Мой по-прежнему выдает ошибку. Почему это так?

0 ответов